/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/metaplex-foundation/kinobi
 */
import { Account, EncodedAccount, FetchAccountConfig, FetchAccountsConfig, MaybeAccount, MaybeEncodedAccount, fetchEncodedAccount, fetchEncodedAccounts } from '@solana/accounts';
import { Address } from '@solana/addresses';
import { Codec, Decoder, Encoder } from '@solana/codecs';
export type Authority<TAddress extends string = string> = Account<AuthorityAccountData, TAddress>;
export type MaybeAuthority<TAddress extends string = string> = MaybeAccount<AuthorityAccountData, TAddress>;
export type AuthorityAccountData = {
    discriminator: Array<number>;
    bump: number;
    /** cosigner of the whitelist - has rights to update it if unfrozen */
    cosigner: Address;
    /**
     * owner of the whitelist (stricter, should be handled more carefully)
     * has rights to 1)freeze, 2)unfreeze, 3)update frozen whitelists
     */
    owner: Address;
    reserved: Uint8Array;
};
export type AuthorityAccountDataArgs = {
    bump: number;
    /** cosigner of the whitelist - has rights to update it if unfrozen */
    cosigner: Address;
    /**
     * owner of the whitelist (stricter, should be handled more carefully)
     * has rights to 1)freeze, 2)unfreeze, 3)update frozen whitelists
     */
    owner: Address;
    reserved: Uint8Array;
};
export declare function getAuthorityAccountDataEncoder(): Encoder<AuthorityAccountDataArgs>;
export declare function getAuthorityAccountDataDecoder(): Decoder<AuthorityAccountData>;
export declare function getAuthorityAccountDataCodec(): Codec<AuthorityAccountDataArgs, AuthorityAccountData>;
export declare function decodeAuthority<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Authority<TAddress>;
export declare function decodeAuthority<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAuthority<TAddress>;
export declare function fetchAuthority<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Authority<TAddress>>;
export declare function fetchMaybeAuthority<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAuthority<TAddress>>;
export declare function fetchAllAuthority(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Authority[]>;
export declare function fetchAllMaybeAuthority(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAuthority[]>;
export declare function getAuthoritySize(): number;
export declare function fetchAuthorityFromSeeds(rpc: Parameters<typeof fetchEncodedAccount>[0], config?: FetchAccountConfig & {
    programAddress?: Address;
}): Promise<Authority>;
export declare function fetchMaybeAuthorityFromSeeds(rpc: Parameters<typeof fetchEncodedAccount>[0], config?: FetchAccountConfig & {
    programAddress?: Address;
}): Promise<MaybeAuthority>;
//# sourceMappingURL=authority.d.ts.map