/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/metaplex-foundation/kinobi
 */
import { Account, EncodedAccount, FetchAccountConfig, FetchAccountsConfig, MaybeAccount, MaybeEncodedAccount, fetchEncodedAccount, fetchEncodedAccounts } from '@solana/accounts';
import { Address } from '@solana/addresses';
import { Codec, Decoder, Encoder, Option, OptionOrNullable } from '@solana/codecs';
import { WhitelistSeeds } from '../pdas';
export type Whitelist<TAddress extends string = string> = Account<WhitelistAccountData, TAddress>;
export type MaybeWhitelist<TAddress extends string = string> = MaybeAccount<WhitelistAccountData, TAddress>;
export type WhitelistAccountData = {
    discriminator: Array<number>;
    version: number;
    bump: number;
    /** DEPRECATED, doesn't do anything */
    verified: boolean;
    /** in the case when not present will be [u8; 32] */
    rootHash: Uint8Array;
    uuid: Uint8Array;
    name: Uint8Array;
    frozen: boolean;
    voc: Option<Address>;
    fvc: Option<Address>;
    reserved: Uint8Array;
};
export type WhitelistAccountDataArgs = {
    version: number;
    bump: number;
    /** DEPRECATED, doesn't do anything */
    verified: boolean;
    /** in the case when not present will be [u8; 32] */
    rootHash: Uint8Array;
    uuid: Uint8Array;
    name: Uint8Array;
    frozen: boolean;
    voc: OptionOrNullable<Address>;
    fvc: OptionOrNullable<Address>;
    reserved: Uint8Array;
};
export declare function getWhitelistAccountDataEncoder(): Encoder<WhitelistAccountDataArgs>;
export declare function getWhitelistAccountDataDecoder(): Decoder<WhitelistAccountData>;
export declare function getWhitelistAccountDataCodec(): Codec<WhitelistAccountDataArgs, WhitelistAccountData>;
export declare function decodeWhitelist<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Whitelist<TAddress>;
export declare function decodeWhitelist<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeWhitelist<TAddress>;
export declare function fetchWhitelist<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Whitelist<TAddress>>;
export declare function fetchMaybeWhitelist<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeWhitelist<TAddress>>;
export declare function fetchAllWhitelist(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Whitelist[]>;
export declare function fetchAllMaybeWhitelist(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeWhitelist[]>;
export declare function getWhitelistSize(): number;
export declare function fetchWhitelistFromSeeds(rpc: Parameters<typeof fetchEncodedAccount>[0], seeds: WhitelistSeeds, config?: FetchAccountConfig & {
    programAddress?: Address;
}): Promise<Whitelist>;
export declare function fetchMaybeWhitelistFromSeeds(rpc: Parameters<typeof fetchEncodedAccount>[0], seeds: WhitelistSeeds, config?: FetchAccountConfig & {
    programAddress?: Address;
}): Promise<MaybeWhitelist>;
//# sourceMappingURL=whitelist.d.ts.map