import { ExecutionContext } from 'ava';
import { Address } from '@solana/addresses';
import { KeyPairSigner } from '@solana/signers';
import { Client } from '@tensor-foundation/test-helpers';
import { Condition, Operation } from '../src/index.js';
export declare const DEFAULT_PUBKEY: Address;
export declare const uuidToUint8Array: (uuid: string) => Uint8Array;
export declare const generateUuid: () => Uint8Array;
export interface CreateWhitelistParams {
    client: Client;
    payer?: KeyPairSigner;
    updateAuthority: KeyPairSigner;
    namespace?: KeyPairSigner;
    freezeAuthority?: Address;
    conditions?: Condition[];
}
export interface CreateWhitelistThrowsParams extends CreateWhitelistParams {
    t: ExecutionContext;
    code: number;
}
export interface CreateWhitelistReturns {
    whitelist: Address;
    uuid: Uint8Array;
    conditions: Condition[];
}
export declare function createWhitelist({ client, updateAuthority, payer, namespace, freezeAuthority, conditions, }: CreateWhitelistParams): Promise<CreateWhitelistReturns>;
export declare function createWhitelistThrows({ client, updateAuthority, payer, namespace, freezeAuthority, conditions, t, code, }: CreateWhitelistThrowsParams): Promise<void>;
export interface UpdateWhitelistParams {
    client: Client;
    whitelist: Address;
    updateAuthority: KeyPairSigner;
    payer?: KeyPairSigner;
    newUpdateAuthority?: KeyPairSigner;
    newFreezeAuthority?: Operation;
    newConditions?: Condition[];
}
export interface UpdateWhitelistThrowsParams extends UpdateWhitelistParams {
    t: ExecutionContext;
    code: number;
}
export declare function updateWhitelist({ client, whitelist, updateAuthority, payer, newUpdateAuthority, newFreezeAuthority, newConditions, }: UpdateWhitelistParams): Promise<void>;
export declare function updateWhitelistThrows({ client, whitelist, updateAuthority, payer, newUpdateAuthority, newFreezeAuthority, newConditions, t, code, }: UpdateWhitelistThrowsParams): Promise<void>;
export declare function getAccountDataLength(client: Client, accountAddress: Address): Promise<number>;
//# sourceMappingURL=_common.d.ts.map